import { SparkleQuizQuestion } from '../../../models/quiz.model';
export declare class SparkleDiscussionQuestions {
  el: HTMLElement;
  allowPostToFeed: boolean;
  postToFeedAssignmentName: string;
  feedStartingText: string;
  isTeacherMode: boolean;
  questions: Array<SparkleQuizQuestion>;
  error: string;
  modelChange: string;
  responses: Array<any>;
  tempResponses: Array<any>;
  suggestionList: Array<{
    questionId: number;
    question: string;
    answer: string;
    responseType: string;
  }>;
  postToFeedTextValue: string;
  componentDidLoad(): void;
  resetPollData(): void;
  selectOption(evt: any, question: any, option: any): void;
  addSuggestion(evt: any, question: SparkleQuizQuestion): void;
  toggleMode(): void;
  renderOptions(question: SparkleQuizQuestion): any;
  renderQuestions(): any[];
  render(): any[];
}
